Bug 126717 - CAN-2004-0497 inode_change_ok missing checks allows GID changes
CAN-2004-0497 inode_change_ok missing checks allows GID changes
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-06-25 04:54 EDT by Mark J. Cox (Product Security)
Modified: 2013-03-06 00:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-02 04:30:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-06-25 04:54:40 EDT
An audit by SUSE found a missing "must be owner of the file" check in
inode_change_ok().  In the 2.6 kernel this allows a local user to be
able to change the groupid of any object (except those setgid) by
using chown.  In the 2.4 kernel this is exploitable only via a kernel
nfsd export where the server will grant requests to change GID when it

SUSE suggested an embargo date of Jul14 1600MEST but this has been
adjusted to Jun29 1600MEST.
Comment 1 Mark J. Cox (Product Security) 2004-07-02 03:05:47 EDT
Embargo moved to Jul02 1000MEST
Comment 2 Mark J. Cox (Product Security) 2004-07-02 03:59:16 EDT
Removing embargo
Comment 3 Mark J. Cox (Product Security) 2004-07-02 04:30:30 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.